// Nalaenje unije skupova.

#include <stdio.h>
#include <stdlib.h>

int main() {
  while (1) {

    // itanje veliine skupova:
    printf("Broj elemenata prvog i drugog skupa ? ");
    int n1, n2; scanf("%d%d", &n1, &n2);
  if (n1 < 0 || n2 < 0) break;

    // itanje elemenata skupova:
    double *s1 = malloc(n1 * sizeof (double));
    printf("Elementi prvog skupa?   ");
    for (int i=0; i<n1; scanf("%lf", &s1[i++]));
    if (n1 == 0) printf("\n");
    double *s2 = malloc(n2 * sizeof (double));
    printf("Elementi drugog skupa?  ");
    for (int i=0; i<n2; scanf("%lf", &s2[i++]));
    if (n2 == 0) printf("\n");

    // Nalaenje unije skupova:
    double *s3 = malloc((n1 + n2) * sizeof (double));
    int n3 = 0;
    for (int i=0; i<n1; i++) s3[n3++] = s1[i];
    for (int j=0; j<n2; j++) {
      int i = 0; while (i<n1 && s2[j]!=s1[i]) i++;
      if (i == n1) s3[n3++] = s2[j];
    }
    s3 = realloc(s3, n3 * sizeof (double));

    // Ispisivanje rezultata:
    printf("Unija pocetnih skupova:");
    for (int i=0; i<n3; printf(" %.2f", s3[i++]));
    printf("\n\n");

    // Unitavanje skupova:
    free(s1); free(s2); free(s3);
  }
}
